org.apache.felix.scrplugin.helper

## Class ClassModifier

- java.lang.Object
- - org.apache.felix.scrplugin.helper.ClassModifier

    public abstract class ClassModifier
    extends Object

Helper class for injecting/generating accessor methods for unary references.

### Constructor Summary

Constructors
Constructor and Description
`ClassModifier()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addMethods(String className, String referenceName, String referenceType, String fieldName, String fieldType, boolean createBind, boolean createUnbind, ClassLoader classLoader, String outputDirectory, Log logger)` Add bind/unbind methods

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassModifier

    public ClassModifier()

### Method Detail

#### addMethods

    public static void addMethods(String className,
                                  String referenceName,
                                  String referenceType,
                                  String fieldName,
                                  String fieldType,
                                  boolean createBind,
                                  boolean createUnbind,
                                  ClassLoader classLoader,
                                  String outputDirectory,
                                  Log logger)
                           throws SCRDescriptorException

Add bind/unbind methods

Parameters:
  `className` - The class name in which the methods are injected
  `referenceName` - Name of the reference
  `referenceType` - Type of the reference
  `fieldName` - Name of the field
  `fieldType` - Type of the field
  `createBind` - Name of the bind method or null
  `createUnbind` - Name of the unbind method or null
  `outputDirectory` - Output directory where the class file is stored
Throws:
  `SCRDescriptorException`